Get Report History by Schedule ID
curl --request GET \
--url https://{instance}.domo.com/api/content/v1/reportschedules/{scheduleId}/history \
--header 'X-DOMO-Developer-Token: <api-key>'import requests
url = "https://{instance}.domo.com/api/content/v1/reportschedules/{scheduleId}/history"
headers = {"X-DOMO-Developer-Token": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-DOMO-Developer-Token': '<api-key>'}};
fetch('https://{instance}.domo.com/api/content/v1/reportschedules/{scheduleId}/history', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": 123,
"reportId": 123,
"reportTitle": "<string>",
"reportSubject": "<string>",
"startTime": "2023-11-07T05:31:56Z",
"endTime": "2023-11-07T05:31:56Z",
"automated": true,
"cardCount": 123,
"attachmentCount": 123,
"attachmentSize": 123,
"emailSize": 123,
"status": "<string>",
"ownerId": 123,
"recipientCount": 123,
"resourceType": "<string>",
"resourceId": 123,
"resourceName": "<string>",
"recipients": [
{
"userId": 123,
"displayName": "<string>",
"emailAddress": "jsmith@example.com"
}
]
}
]Scheduled Reports API
Get Report History by Schedule ID
GET
/
api
/
content
/
v1
/
reportschedules
/
{scheduleId}
/
history
Get Report History by Schedule ID
Authorizations
Path Parameters
ID of the schedule
Query Parameters
Number of items to return
Number of items to skip
Response
OK
Show child attributes
Show child attributes
⌘I